%define shortname live
%define name %{shortname}555
%define version 0.0.0
%define snapshot 2007.11.01
%define release alt0.%snapshot

Summary: Live555.com Streaming Media Library
Name: %name
Version: %version
Release: %release
License: LGPL
Group: System/Libraries
Url: http://www.live555.com/liveMedia/

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Source0: %name.tar.bz2

# renamed...
Provides: live = %version-%release
Obsoletes: live < %version-%release

# Automatically added by buildreq on Sat Dec 10 2005
BuildRequires: gcc-c++ libstdc++-devel

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of live555.com.

%package -n lib%name-devel
Summary: Development files of the Live555.com Streaming Media Library
Group: Development/C++

Provides: liblive-devel = %version-%release
Obsoletes: liblive-devel < %version-%release

%description -n lib%name-devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on live555.com.

%prep
%setup -q -n %name

rm -f testProgs/qtParse

%build
./genMakefiles linux
make clean
make RPM_OPT_FLAGS="%optflags"

%install
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %buildroot%_libdir/%shortname/$dir
  cp -r $dir/*.a $dir/include %buildroot%_libdir/%shortname/$dir
done

mkdir -p %buildroot%_bindir
for testprog in `find testProgs -type f -perm 755`; do
  install $testprog %buildroot%_bindir
done

%files
%doc COPYING README
%_bindir/*

%files -n lib%name-devel
%doc COPYING README
%_libdir/%shortname

%changelog
* Tue Nov 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2007.11.01
- 2007.11.01 version.

* Wed Aug 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2007.08.03a
- 2007.08.03a version.

* Wed Jun 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2007.05.24
- 2007.05.24 version.

* Wed May 02 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2007.04.24a
- 2007.04.24a version.

* Sun Mar 04 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2007.02.20
- 2007.02.20 version.

* Thu Sep 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2006.09.07
- 2006.09.07 version.

* Sun Aug 13 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2006.08.07
- 2006.08.07 version.
- Renamed to live555.

* Mon Jul 17 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2006.07.04
- 2006.07.04 version.

* Fri Jun 02 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2006.05.17
- 2006.05.17 version.

* Tue May 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2006.05.15
- 2006.05.15 version.

* Sat Dec 10 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.0.0-alt0.2005.12.09
- Initial build for ALT Linux.
- specfile is based on Mandriva's spec.


